import { __exports as entry } from '../../../../../../../../_virtual/entry2.mjs';
import { __require as requireUtils } from '../../utils/index.mjs';

var hasRequiredEntry;
function requireEntry() {
  if (hasRequiredEntry) return entry;
  hasRequiredEntry = 1;
  Object.defineProperty(entry, "__esModule", {
    value: true
  });
  const utils = requireUtils();
  class EntryTransformer {
    constructor(_settings) {
      this._settings = _settings;
    }
    getTransformer() {
      return entry => this._transform(entry);
    }
    _transform(entry) {
      let filepath = entry.path;
      if (this._settings.absolute) {
        filepath = utils.path.makeAbsolute(this._settings.cwd, filepath);
        filepath = utils.path.unixify(filepath);
      }
      if (this._settings.markDirectories && entry.dirent.isDirectory()) {
        filepath += '/';
      }
      if (!this._settings.objectMode) {
        return filepath;
      }
      return Object.assign(Object.assign({}, entry), {
        path: filepath
      });
    }
  }
  entry.default = EntryTransformer;
  return entry;
}

export { requireEntry as __require };
